OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
squirrel_std.hpp File Reference

defines the Squirrel Standard Function class More...

`#include "squirrel.hpp"`

Go to the source code of this file.

## Data Structures
class | SquirrelStd
| By default we want to give a set of standard commands to a SQ script. More...

## Functions
void | squirrel_register_std (Squirrel *engine)
| Register all standard functions we want to give to a script.
void | squirrel_register_global_std (Squirrel *engine)
| Register all standard functions that are available on first startup.

## Detailed Description

defines the Squirrel Standard Function class

Definition in file squirrel_std.hpp.

## Function Documentation

void squirrel_register_global_std | ( | Squirrel * | engine | ) |

Register all standard functions that are available on first startup.

Note
  this set is very limited, and is only meant to load other scripts and things like that.

Definition at line 96 of file squirrel_std.cpp.

References Squirrel::AddMethod(), SquirrelStd::notifyallexceptions(), and SquirrelStd::require().

Referenced by Squirrel::Initialize().